Redmine - Patch #4572

Make it harder to ruin your database
2010-01-13 15:55 - Alexey Palazhchenko

Status: Closed Start date: 2010-01-13
Priority: Normal Due date:

Assignee: Eric Davis % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.0.0 (RC)

Description

New Rails apps have
ENV["RAILS_ENV"] = "test"
in test_helper.rb.

You have
ENV["RAILS_ENV"] ||= "test"

Good | have backups. :)

Please add this line:

abort "Preventing you from running tests in '"#{ENV['RAILS_ENV']}' environment." unless ENV["RAILS_ENV"] =~ /Aest/

Associated revisions

Revision 3840 - 2010-07-09 15:46 - Eric Davis
Force the test RAILS_ENYV to help prevent purging data when mistyping. #4572

History

#1 - 2010-07-09 15:47 - Eric Davis

- Status changed from New to Closed
- Assignee set to Eric Davis

- Target version set to 1.0.0 (RC)

- % Done changed from 0 to 100

I've updated test_helper.rb in r3840 to force the test environment.

#2 - 2010-07-09 20:46 - Alexey Palazhchenko
- Status changed from Closed to Reopened

- % Done changed from 100 to 50

Eric, | think you forgot about test_pgsql and test_sqlite3... That's why I'm regexp.

#3 - 2010-07-16 05:18 - Eric Davis

- Status changed from Reopened to Closed
- % Done changed from 50 to 100

Alexey Palazhchenko wrote:

Eric, | think you forgot about test_pgsql and test_sqlite3... That's why I'm regexp.

| don't like having those extra environments and want to remove them in a future version.

#4 - 2010-07-16 18:38 - xt zhang

Eric Davis wrote:

Alexey Palazhchenko wrote:
https://www.redmine.org/projects/redmine/repository/svn/revisions/3840

Eric, | think you forgot about test_pgsqgl and test_sqlite3... That's why I'm regexp.

| don't like having those extra environments and want to remove them in a future version.

Does this mean that in a future version Redmine support mysqgl only?

#5 - 2010-07-16 20:38 - Alexey Palazhchenko

xt zhang wrote:
Does this mean that in a future version Redmine support mysqgl only?
Definitely not. MySQL, PostgreSQL and SQLite3 will be supported in foreseeable future.

#6 - 2010-07-17 03:53 - Eric Davis

xt zhang wrote:

Does this mean that in a future version Redmine support mysqgl only?

Not at all, only that I'd like to remove the duplicate test environments in the future. | run my Redmine on Postgres, | have clients running on MySQL
and Postgres, and | use SQLite3 for testing.
